package com.ibm.gcoe.mysql;

import com.sapportals.pct.util.pdv.PDVDynPage;
import com.sapportals.pct.util.pdv.IDataViewer;
import com.sapportals.pct.util.pdv.source.ISource;
import com.sapportals.portal.prt.component.IPortalComponentRequest;
import com.sapportals.portal.prt.session.IUserContext;
import com.sapportals.portal.security.usermanagement.*;
import com.sapportals.portal.prt.service.IService;
import com.sapportals.pdk.backend;
import java.sql.*;

public final class MapDispatcher extends PDVDynPage {

	private static final String KEY="MYSQL";
	public backend bConn;
	private transient String un;
	private transient String pw;

	protected void beforePdvExecuteSource(IDataViewer portalDV)  {
		try {
			IPortalComponentRequest request = (IPortalComponentRequest) this.getRequest();

			IUserContext uc= request.getUser();
			IUser userObject = (IUser)uc.getUser();
			ILogonDataBroker broker = userObject.getMappingInfo();

			bConn = new backend(KEY);
			broker.enrich(bConn);
			un = bConn.getUser();
			pw = bConn.getPassword();

			// Output the user name and password to Tomcat DOS box...
			System.err.println("un = " + un);
			System.err.println("pw = " + pw);

			Class.forName("org.gjt.mm.mysql.Driver");
			//Connection con = DriverManager.getConnection("jdbc:mysql:///edi_db","mysql_remote","remote");
			Connection con = DriverManager.getConnection("jdbc:mysql:///edi_db",un,pw);
			Statement std = con.createStatement();
			ResultSet res = std.executeQuery("select * from jit_calls");
			con.close();

			ISource pdvSource = portalDV.createSource(request, res);
			portalDV.setSource(pdvSource);

		} catch (java.sql.SQLException ex) {
			System.out.println(ex.toString());
			ex.printStackTrace();
		} catch (Exception ex) {
			errorString.append(ex.getLocalizedMessage());
			System.out.println(ex.toString());
			ex.printStackTrace();
		}
	}
}